org.apache.xerces.impl.xpath.regex

## Class BMPattern

- java.lang.Object
- - org.apache.xerces.impl.xpath.regex.BMPattern

    public class BMPattern
    extends java.lang.Object

Boyer-Moore searcher.

Version:
  $Id: BMPattern.java 572108 2007-09-02 18:48:31Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`BMPattern(java.lang.String pat, boolean ignoreCase)`
`BMPattern(java.lang.String pat, int tableSize, boolean ignoreCase)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `matches(char[] chars, int start, int limit)`
`int` `matches(java.text.CharacterIterator iterator, int start, int limit)`
`int` `matches(java.lang.String str, int start, int limit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BMPattern

    public BMPattern(java.lang.String pat,
                     boolean ignoreCase)

#### BMPattern

    public BMPattern(java.lang.String pat,
                     int tableSize,
                     boolean ignoreCase)

### Method Detail

#### matches

    public int matches(java.text.CharacterIterator iterator,
                       int start,
                       int limit)

Returns:
  -1 if iterator does not contain this pattern.

#### matches

    public int matches(java.lang.String str,
                       int start,
                       int limit)

Returns:
  -1 if str does not contain this pattern.

#### matches

    public int matches(char[] chars,
                       int start,
                       int limit)

Returns:
  -1 if chars</char> does not contain this pattern.